Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
12.192.0.0
Broadcast address
12.223.255.255
First usable
12.192.0.1
Last usable
12.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 0CC00000 · Integer 213909504 to 216006655
Reverse DNS zones
192.12.in-addr.arpa
193.12.in-addr.arpa
194.12.in-addr.arpa
195.12.in-addr.arpa
196.12.in-addr.arpa
197.12.in-addr.arpa
198.12.in-addr.arpa
199.12.in-addr.arpa
200.12.in-addr.arpa
201.12.in-addr.arpa
202.12.in-addr.arpa
203.12.in-addr.arpa
204.12.in-addr.arpa
205.12.in-addr.arpa
206.12.in-addr.arpa
207.12.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.11000000.00000000.0000000012.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00001100.11000000.00000000.0000000012.192.0.0
Broadcast00001100.11011111.11111111.1111111112.223.255.255
Split into smaller subnets/21

12.192.0.0/11 makes 1,024 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.192.0.0/2112.192.0.1 to 12.192.7.25412.192.7.2552,046
212.192.8.0/2112.192.8.1 to 12.192.15.25412.192.15.2552,046
312.192.16.0/2112.192.16.1 to 12.192.23.25412.192.23.2552,046
412.192.24.0/2112.192.24.1 to 12.192.31.25412.192.31.2552,046
512.192.32.0/2112.192.32.1 to 12.192.39.25412.192.39.2552,046
612.192.40.0/2112.192.40.1 to 12.192.47.25412.192.47.2552,046
712.192.48.0/2112.192.48.1 to 12.192.55.25412.192.55.2552,046
812.192.56.0/2112.192.56.1 to 12.192.63.25412.192.63.2552,046
912.192.64.0/2112.192.64.1 to 12.192.71.25412.192.71.2552,046
1012.192.72.0/2112.192.72.1 to 12.192.79.25412.192.79.2552,046
1112.192.80.0/2112.192.80.1 to 12.192.87.25412.192.87.2552,046
1212.192.88.0/2112.192.88.1 to 12.192.95.25412.192.95.2552,046
1312.192.96.0/2112.192.96.1 to 12.192.103.25412.192.103.2552,046
1412.192.104.0/2112.192.104.1 to 12.192.111.25412.192.111.2552,046
1512.192.112.0/2112.192.112.1 to 12.192.119.25412.192.119.2552,046
1612.192.120.0/2112.192.120.1 to 12.192.127.25412.192.127.2552,046
1712.192.128.0/2112.192.128.1 to 12.192.135.25412.192.135.2552,046
1812.192.136.0/2112.192.136.1 to 12.192.143.25412.192.143.2552,046
1912.192.144.0/2112.192.144.1 to 12.192.151.25412.192.151.2552,046
2012.192.152.0/2112.192.152.1 to 12.192.159.25412.192.159.2552,046
2112.192.160.0/2112.192.160.1 to 12.192.167.25412.192.167.2552,046
2212.192.168.0/2112.192.168.1 to 12.192.175.25412.192.175.2552,046
2312.192.176.0/2112.192.176.1 to 12.192.183.25412.192.183.2552,046
2412.192.184.0/2112.192.184.1 to 12.192.191.25412.192.191.2552,046
2512.192.192.0/2112.192.192.1 to 12.192.199.25412.192.199.2552,046
2612.192.200.0/2112.192.200.1 to 12.192.207.25412.192.207.2552,046
2712.192.208.0/2112.192.208.1 to 12.192.215.25412.192.215.2552,046
2812.192.216.0/2112.192.216.1 to 12.192.223.25412.192.223.2552,046
2912.192.224.0/2112.192.224.1 to 12.192.231.25412.192.231.2552,046
3012.192.232.0/2112.192.232.1 to 12.192.239.25412.192.239.2552,046
3112.192.240.0/2112.192.240.1 to 12.192.247.25412.192.247.2552,046
3212.192.248.0/2112.192.248.1 to 12.192.255.25412.192.255.2552,046
3312.193.0.0/2112.193.0.1 to 12.193.7.25412.193.7.2552,046
3412.193.8.0/2112.193.8.1 to 12.193.15.25412.193.15.2552,046
3512.193.16.0/2112.193.16.1 to 12.193.23.25412.193.23.2552,046
3612.193.24.0/2112.193.24.1 to 12.193.31.25412.193.31.2552,046
3712.193.32.0/2112.193.32.1 to 12.193.39.25412.193.39.2552,046
3812.193.40.0/2112.193.40.1 to 12.193.47.25412.193.47.2552,046
3912.193.48.0/2112.193.48.1 to 12.193.55.25412.193.55.2552,046
4012.193.56.0/2112.193.56.1 to 12.193.63.25412.193.63.2552,046
4112.193.64.0/2112.193.64.1 to 12.193.71.25412.193.71.2552,046
4212.193.72.0/2112.193.72.1 to 12.193.79.25412.193.79.2552,046
4312.193.80.0/2112.193.80.1 to 12.193.87.25412.193.87.2552,046
4412.193.88.0/2112.193.88.1 to 12.193.95.25412.193.95.2552,046
4512.193.96.0/2112.193.96.1 to 12.193.103.25412.193.103.2552,046
4612.193.104.0/2112.193.104.1 to 12.193.111.25412.193.111.2552,046
4712.193.112.0/2112.193.112.1 to 12.193.119.25412.193.119.2552,046
4812.193.120.0/2112.193.120.1 to 12.193.127.25412.193.127.2552,046
4912.193.128.0/2112.193.128.1 to 12.193.135.25412.193.135.2552,046
5012.193.136.0/2112.193.136.1 to 12.193.143.25412.193.143.2552,046
5112.193.144.0/2112.193.144.1 to 12.193.151.25412.193.151.2552,046
5212.193.152.0/2112.193.152.1 to 12.193.159.25412.193.159.2552,046
5312.193.160.0/2112.193.160.1 to 12.193.167.25412.193.167.2552,046
5412.193.168.0/2112.193.168.1 to 12.193.175.25412.193.175.2552,046
5512.193.176.0/2112.193.176.1 to 12.193.183.25412.193.183.2552,046
5612.193.184.0/2112.193.184.1 to 12.193.191.25412.193.191.2552,046
5712.193.192.0/2112.193.192.1 to 12.193.199.25412.193.199.2552,046
5812.193.200.0/2112.193.200.1 to 12.193.207.25412.193.207.2552,046
5912.193.208.0/2112.193.208.1 to 12.193.215.25412.193.215.2552,046
6012.193.216.0/2112.193.216.1 to 12.193.223.25412.193.223.2552,046
6112.193.224.0/2112.193.224.1 to 12.193.231.25412.193.231.2552,046
6212.193.232.0/2112.193.232.1 to 12.193.239.25412.193.239.2552,046
6312.193.240.0/2112.193.240.1 to 12.193.247.25412.193.247.2552,046
6412.193.248.0/2112.193.248.1 to 12.193.255.25412.193.255.2552,046
6512.194.0.0/2112.194.0.1 to 12.194.7.25412.194.7.2552,046
6612.194.8.0/2112.194.8.1 to 12.194.15.25412.194.15.2552,046
6712.194.16.0/2112.194.16.1 to 12.194.23.25412.194.23.2552,046
6812.194.24.0/2112.194.24.1 to 12.194.31.25412.194.31.2552,046
6912.194.32.0/2112.194.32.1 to 12.194.39.25412.194.39.2552,046
7012.194.40.0/2112.194.40.1 to 12.194.47.25412.194.47.2552,046
7112.194.48.0/2112.194.48.1 to 12.194.55.25412.194.55.2552,046
7212.194.56.0/2112.194.56.1 to 12.194.63.25412.194.63.2552,046
7312.194.64.0/2112.194.64.1 to 12.194.71.25412.194.71.2552,046
7412.194.72.0/2112.194.72.1 to 12.194.79.25412.194.79.2552,046
7512.194.80.0/2112.194.80.1 to 12.194.87.25412.194.87.2552,046
7612.194.88.0/2112.194.88.1 to 12.194.95.25412.194.95.2552,046
7712.194.96.0/2112.194.96.1 to 12.194.103.25412.194.103.2552,046
7812.194.104.0/2112.194.104.1 to 12.194.111.25412.194.111.2552,046
7912.194.112.0/2112.194.112.1 to 12.194.119.25412.194.119.2552,046
8012.194.120.0/2112.194.120.1 to 12.194.127.25412.194.127.2552,046
8112.194.128.0/2112.194.128.1 to 12.194.135.25412.194.135.2552,046
8212.194.136.0/2112.194.136.1 to 12.194.143.25412.194.143.2552,046
8312.194.144.0/2112.194.144.1 to 12.194.151.25412.194.151.2552,046
8412.194.152.0/2112.194.152.1 to 12.194.159.25412.194.159.2552,046
8512.194.160.0/2112.194.160.1 to 12.194.167.25412.194.167.2552,046
8612.194.168.0/2112.194.168.1 to 12.194.175.25412.194.175.2552,046
8712.194.176.0/2112.194.176.1 to 12.194.183.25412.194.183.2552,046
8812.194.184.0/2112.194.184.1 to 12.194.191.25412.194.191.2552,046
8912.194.192.0/2112.194.192.1 to 12.194.199.25412.194.199.2552,046
9012.194.200.0/2112.194.200.1 to 12.194.207.25412.194.207.2552,046
9112.194.208.0/2112.194.208.1 to 12.194.215.25412.194.215.2552,046
9212.194.216.0/2112.194.216.1 to 12.194.223.25412.194.223.2552,046
9312.194.224.0/2112.194.224.1 to 12.194.231.25412.194.231.2552,046
9412.194.232.0/2112.194.232.1 to 12.194.239.25412.194.239.2552,046
9512.194.240.0/2112.194.240.1 to 12.194.247.25412.194.247.2552,046
9612.194.248.0/2112.194.248.1 to 12.194.255.25412.194.255.2552,046
9712.195.0.0/2112.195.0.1 to 12.195.7.25412.195.7.2552,046
9812.195.8.0/2112.195.8.1 to 12.195.15.25412.195.15.2552,046
9912.195.16.0/2112.195.16.1 to 12.195.23.25412.195.23.2552,046
10012.195.24.0/2112.195.24.1 to 12.195.31.25412.195.31.2552,046
10112.195.32.0/2112.195.32.1 to 12.195.39.25412.195.39.2552,046
10212.195.40.0/2112.195.40.1 to 12.195.47.25412.195.47.2552,046
10312.195.48.0/2112.195.48.1 to 12.195.55.25412.195.55.2552,046
10412.195.56.0/2112.195.56.1 to 12.195.63.25412.195.63.2552,046
10512.195.64.0/2112.195.64.1 to 12.195.71.25412.195.71.2552,046
10612.195.72.0/2112.195.72.1 to 12.195.79.25412.195.79.2552,046
10712.195.80.0/2112.195.80.1 to 12.195.87.25412.195.87.2552,046
10812.195.88.0/2112.195.88.1 to 12.195.95.25412.195.95.2552,046
10912.195.96.0/2112.195.96.1 to 12.195.103.25412.195.103.2552,046
11012.195.104.0/2112.195.104.1 to 12.195.111.25412.195.111.2552,046
11112.195.112.0/2112.195.112.1 to 12.195.119.25412.195.119.2552,046
11212.195.120.0/2112.195.120.1 to 12.195.127.25412.195.127.2552,046
11312.195.128.0/2112.195.128.1 to 12.195.135.25412.195.135.2552,046
11412.195.136.0/2112.195.136.1 to 12.195.143.25412.195.143.2552,046
11512.195.144.0/2112.195.144.1 to 12.195.151.25412.195.151.2552,046
11612.195.152.0/2112.195.152.1 to 12.195.159.25412.195.159.2552,046
11712.195.160.0/2112.195.160.1 to 12.195.167.25412.195.167.2552,046
11812.195.168.0/2112.195.168.1 to 12.195.175.25412.195.175.2552,046
11912.195.176.0/2112.195.176.1 to 12.195.183.25412.195.183.2552,046
12012.195.184.0/2112.195.184.1 to 12.195.191.25412.195.191.2552,046
12112.195.192.0/2112.195.192.1 to 12.195.199.25412.195.199.2552,046
12212.195.200.0/2112.195.200.1 to 12.195.207.25412.195.207.2552,046
12312.195.208.0/2112.195.208.1 to 12.195.215.25412.195.215.2552,046
12412.195.216.0/2112.195.216.1 to 12.195.223.25412.195.223.2552,046
12512.195.224.0/2112.195.224.1 to 12.195.231.25412.195.231.2552,046
12612.195.232.0/2112.195.232.1 to 12.195.239.25412.195.239.2552,046
12712.195.240.0/2112.195.240.1 to 12.195.247.25412.195.247.2552,046
12812.195.248.0/2112.195.248.1 to 12.195.255.25412.195.255.2552,046
12912.196.0.0/2112.196.0.1 to 12.196.7.25412.196.7.2552,046
13012.196.8.0/2112.196.8.1 to 12.196.15.25412.196.15.2552,046
13112.196.16.0/2112.196.16.1 to 12.196.23.25412.196.23.2552,046
13212.196.24.0/2112.196.24.1 to 12.196.31.25412.196.31.2552,046
13312.196.32.0/2112.196.32.1 to 12.196.39.25412.196.39.2552,046
13412.196.40.0/2112.196.40.1 to 12.196.47.25412.196.47.2552,046
13512.196.48.0/2112.196.48.1 to 12.196.55.25412.196.55.2552,046
13612.196.56.0/2112.196.56.1 to 12.196.63.25412.196.63.2552,046
13712.196.64.0/2112.196.64.1 to 12.196.71.25412.196.71.2552,046
13812.196.72.0/2112.196.72.1 to 12.196.79.25412.196.79.2552,046
13912.196.80.0/2112.196.80.1 to 12.196.87.25412.196.87.2552,046
14012.196.88.0/2112.196.88.1 to 12.196.95.25412.196.95.2552,046
14112.196.96.0/2112.196.96.1 to 12.196.103.25412.196.103.2552,046
14212.196.104.0/2112.196.104.1 to 12.196.111.25412.196.111.2552,046
14312.196.112.0/2112.196.112.1 to 12.196.119.25412.196.119.2552,046
14412.196.120.0/2112.196.120.1 to 12.196.127.25412.196.127.2552,046
14512.196.128.0/2112.196.128.1 to 12.196.135.25412.196.135.2552,046
14612.196.136.0/2112.196.136.1 to 12.196.143.25412.196.143.2552,046
14712.196.144.0/2112.196.144.1 to 12.196.151.25412.196.151.2552,046
14812.196.152.0/2112.196.152.1 to 12.196.159.25412.196.159.2552,046
14912.196.160.0/2112.196.160.1 to 12.196.167.25412.196.167.2552,046
15012.196.168.0/2112.196.168.1 to 12.196.175.25412.196.175.2552,046
15112.196.176.0/2112.196.176.1 to 12.196.183.25412.196.183.2552,046
15212.196.184.0/2112.196.184.1 to 12.196.191.25412.196.191.2552,046
15312.196.192.0/2112.196.192.1 to 12.196.199.25412.196.199.2552,046
15412.196.200.0/2112.196.200.1 to 12.196.207.25412.196.207.2552,046
15512.196.208.0/2112.196.208.1 to 12.196.215.25412.196.215.2552,046
15612.196.216.0/2112.196.216.1 to 12.196.223.25412.196.223.2552,046
15712.196.224.0/2112.196.224.1 to 12.196.231.25412.196.231.2552,046
15812.196.232.0/2112.196.232.1 to 12.196.239.25412.196.239.2552,046
15912.196.240.0/2112.196.240.1 to 12.196.247.25412.196.247.2552,046
16012.196.248.0/2112.196.248.1 to 12.196.255.25412.196.255.2552,046
16112.197.0.0/2112.197.0.1 to 12.197.7.25412.197.7.2552,046
16212.197.8.0/2112.197.8.1 to 12.197.15.25412.197.15.2552,046
16312.197.16.0/2112.197.16.1 to 12.197.23.25412.197.23.2552,046
16412.197.24.0/2112.197.24.1 to 12.197.31.25412.197.31.2552,046
16512.197.32.0/2112.197.32.1 to 12.197.39.25412.197.39.2552,046
16612.197.40.0/2112.197.40.1 to 12.197.47.25412.197.47.2552,046
16712.197.48.0/2112.197.48.1 to 12.197.55.25412.197.55.2552,046
16812.197.56.0/2112.197.56.1 to 12.197.63.25412.197.63.2552,046
16912.197.64.0/2112.197.64.1 to 12.197.71.25412.197.71.2552,046
17012.197.72.0/2112.197.72.1 to 12.197.79.25412.197.79.2552,046
17112.197.80.0/2112.197.80.1 to 12.197.87.25412.197.87.2552,046
17212.197.88.0/2112.197.88.1 to 12.197.95.25412.197.95.2552,046
17312.197.96.0/2112.197.96.1 to 12.197.103.25412.197.103.2552,046
17412.197.104.0/2112.197.104.1 to 12.197.111.25412.197.111.2552,046
17512.197.112.0/2112.197.112.1 to 12.197.119.25412.197.119.2552,046
17612.197.120.0/2112.197.120.1 to 12.197.127.25412.197.127.2552,046
17712.197.128.0/2112.197.128.1 to 12.197.135.25412.197.135.2552,046
17812.197.136.0/2112.197.136.1 to 12.197.143.25412.197.143.2552,046
17912.197.144.0/2112.197.144.1 to 12.197.151.25412.197.151.2552,046
18012.197.152.0/2112.197.152.1 to 12.197.159.25412.197.159.2552,046
18112.197.160.0/2112.197.160.1 to 12.197.167.25412.197.167.2552,046
18212.197.168.0/2112.197.168.1 to 12.197.175.25412.197.175.2552,046
18312.197.176.0/2112.197.176.1 to 12.197.183.25412.197.183.2552,046
18412.197.184.0/2112.197.184.1 to 12.197.191.25412.197.191.2552,046
18512.197.192.0/2112.197.192.1 to 12.197.199.25412.197.199.2552,046
18612.197.200.0/2112.197.200.1 to 12.197.207.25412.197.207.2552,046
18712.197.208.0/2112.197.208.1 to 12.197.215.25412.197.215.2552,046
18812.197.216.0/2112.197.216.1 to 12.197.223.25412.197.223.2552,046
18912.197.224.0/2112.197.224.1 to 12.197.231.25412.197.231.2552,046
19012.197.232.0/2112.197.232.1 to 12.197.239.25412.197.239.2552,046
19112.197.240.0/2112.197.240.1 to 12.197.247.25412.197.247.2552,046
19212.197.248.0/2112.197.248.1 to 12.197.255.25412.197.255.2552,046
19312.198.0.0/2112.198.0.1 to 12.198.7.25412.198.7.2552,046
19412.198.8.0/2112.198.8.1 to 12.198.15.25412.198.15.2552,046
19512.198.16.0/2112.198.16.1 to 12.198.23.25412.198.23.2552,046
19612.198.24.0/2112.198.24.1 to 12.198.31.25412.198.31.2552,046
19712.198.32.0/2112.198.32.1 to 12.198.39.25412.198.39.2552,046
19812.198.40.0/2112.198.40.1 to 12.198.47.25412.198.47.2552,046
19912.198.48.0/2112.198.48.1 to 12.198.55.25412.198.55.2552,046
20012.198.56.0/2112.198.56.1 to 12.198.63.25412.198.63.2552,046
20112.198.64.0/2112.198.64.1 to 12.198.71.25412.198.71.2552,046
20212.198.72.0/2112.198.72.1 to 12.198.79.25412.198.79.2552,046
20312.198.80.0/2112.198.80.1 to 12.198.87.25412.198.87.2552,046
20412.198.88.0/2112.198.88.1 to 12.198.95.25412.198.95.2552,046
20512.198.96.0/2112.198.96.1 to 12.198.103.25412.198.103.2552,046
20612.198.104.0/2112.198.104.1 to 12.198.111.25412.198.111.2552,046
20712.198.112.0/2112.198.112.1 to 12.198.119.25412.198.119.2552,046
20812.198.120.0/2112.198.120.1 to 12.198.127.25412.198.127.2552,046
20912.198.128.0/2112.198.128.1 to 12.198.135.25412.198.135.2552,046
21012.198.136.0/2112.198.136.1 to 12.198.143.25412.198.143.2552,046
21112.198.144.0/2112.198.144.1 to 12.198.151.25412.198.151.2552,046
21212.198.152.0/2112.198.152.1 to 12.198.159.25412.198.159.2552,046
21312.198.160.0/2112.198.160.1 to 12.198.167.25412.198.167.2552,046
21412.198.168.0/2112.198.168.1 to 12.198.175.25412.198.175.2552,046
21512.198.176.0/2112.198.176.1 to 12.198.183.25412.198.183.2552,046
21612.198.184.0/2112.198.184.1 to 12.198.191.25412.198.191.2552,046
21712.198.192.0/2112.198.192.1 to 12.198.199.25412.198.199.2552,046
21812.198.200.0/2112.198.200.1 to 12.198.207.25412.198.207.2552,046
21912.198.208.0/2112.198.208.1 to 12.198.215.25412.198.215.2552,046
22012.198.216.0/2112.198.216.1 to 12.198.223.25412.198.223.2552,046
22112.198.224.0/2112.198.224.1 to 12.198.231.25412.198.231.2552,046
22212.198.232.0/2112.198.232.1 to 12.198.239.25412.198.239.2552,046
22312.198.240.0/2112.198.240.1 to 12.198.247.25412.198.247.2552,046
22412.198.248.0/2112.198.248.1 to 12.198.255.25412.198.255.2552,046
22512.199.0.0/2112.199.0.1 to 12.199.7.25412.199.7.2552,046
22612.199.8.0/2112.199.8.1 to 12.199.15.25412.199.15.2552,046
22712.199.16.0/2112.199.16.1 to 12.199.23.25412.199.23.2552,046
22812.199.24.0/2112.199.24.1 to 12.199.31.25412.199.31.2552,046
22912.199.32.0/2112.199.32.1 to 12.199.39.25412.199.39.2552,046
23012.199.40.0/2112.199.40.1 to 12.199.47.25412.199.47.2552,046
23112.199.48.0/2112.199.48.1 to 12.199.55.25412.199.55.2552,046
23212.199.56.0/2112.199.56.1 to 12.199.63.25412.199.63.2552,046
23312.199.64.0/2112.199.64.1 to 12.199.71.25412.199.71.2552,046
23412.199.72.0/2112.199.72.1 to 12.199.79.25412.199.79.2552,046
23512.199.80.0/2112.199.80.1 to 12.199.87.25412.199.87.2552,046
23612.199.88.0/2112.199.88.1 to 12.199.95.25412.199.95.2552,046
23712.199.96.0/2112.199.96.1 to 12.199.103.25412.199.103.2552,046
23812.199.104.0/2112.199.104.1 to 12.199.111.25412.199.111.2552,046
23912.199.112.0/2112.199.112.1 to 12.199.119.25412.199.119.2552,046
24012.199.120.0/2112.199.120.1 to 12.199.127.25412.199.127.2552,046
24112.199.128.0/2112.199.128.1 to 12.199.135.25412.199.135.2552,046
24212.199.136.0/2112.199.136.1 to 12.199.143.25412.199.143.2552,046
24312.199.144.0/2112.199.144.1 to 12.199.151.25412.199.151.2552,046
24412.199.152.0/2112.199.152.1 to 12.199.159.25412.199.159.2552,046
24512.199.160.0/2112.199.160.1 to 12.199.167.25412.199.167.2552,046
24612.199.168.0/2112.199.168.1 to 12.199.175.25412.199.175.2552,046
24712.199.176.0/2112.199.176.1 to 12.199.183.25412.199.183.2552,046
24812.199.184.0/2112.199.184.1 to 12.199.191.25412.199.191.2552,046
24912.199.192.0/2112.199.192.1 to 12.199.199.25412.199.199.2552,046
25012.199.200.0/2112.199.200.1 to 12.199.207.25412.199.207.2552,046
25112.199.208.0/2112.199.208.1 to 12.199.215.25412.199.215.2552,046
25212.199.216.0/2112.199.216.1 to 12.199.223.25412.199.223.2552,046
25312.199.224.0/2112.199.224.1 to 12.199.231.25412.199.231.2552,046
25412.199.232.0/2112.199.232.1 to 12.199.239.25412.199.239.2552,046
25512.199.240.0/2112.199.240.1 to 12.199.247.25412.199.247.2552,046
25612.199.248.0/2112.199.248.1 to 12.199.255.25412.199.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses